Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-29677

Upgrade Kinesis Client

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.4.4
    • Fix Version/s: 2.4.5, 3.0.0
    • Component/s: DStreams
    • Labels:
      None

      Description

      The current amazon-kinesis-client version is 1.8.10. This version depends on the use of `describeStream`, which has a hard limit on an AWS account (10 reqs / second). Versions 1.9.0 and up leverage `listShards`, which has no such limit. For large customers, this can be a major problem. 

       

      Upgrading the amazon-kinesis-client version should resolve this issue.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                etspaceman Eric S Meisel
                Reporter:
                etspaceman Eric S Meisel
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: